searchData={"items":[{"type":"module","title":"JSON.LD","doc":"An implementation of JSON-LD 1.1.\n\nIt includes an implementation of the `RDF.Serialization.Format` behaviour of RDF.ex.\n\nSee","ref":"JSON.LD.html"},{"type":"function","title":"JSON.LD.compact/3","doc":"Compacts the given input according to the steps in the JSON-LD Compaction Algorithm.\n\n> Compaction is the process of applying a developer-supplied context to shorten\n> IRIs to terms or compact IRIs and JSON-LD values expressed in expanded form\n> to simple values such as strings or numbers. Often this makes it simpler to\n> work with document as the data is expressed in application-specific terms.\n> Compacted documents are also typically easier to read for humans.\n\n--  \n\nDetails at  \n\nThis is the `compact()` API function of the `JsonLdProcessor` interface as specified in","ref":"JSON.LD.html#compact/3"},{"type":"function","title":"JSON.LD.context/2","doc":"Generator function for `JSON.LD.Context`s.\n\nYou can either pass a map with a `\"@context\"` key having the JSON-LD context\nobject its value, or the JSON-LD context object directly.\n\nThis function can be used also to create `JSON.LD.Context` from a `RDF.PropertyMap`.","ref":"JSON.LD.html#context/2"},{"type":"type","title":"JSON.LD.context_convertible/0","doc":"","ref":"JSON.LD.html#t:context_convertible/0"},{"type":"function","title":"JSON.LD.expand/2","doc":"Expands the given input according to the steps in the JSON-LD Expansion Algorithm.\n\n> Expansion is the process of taking a JSON-LD document and applying a `@context`\n> such that all IRIs, types, and values are expanded so that the `@context` is\n> no longer necessary.\n\n--  \n\nDetails at  \n\nThis is the `expand()` API function of the `JsonLdProcessor` interface as specified in","ref":"JSON.LD.html#expand/2"},{"type":"function","title":"JSON.LD.flatten/3","doc":"Flattens the given input according to the steps in the JSON-LD Flattening Algorithm.\n\n> Flattening collects all properties of a node in a single JSON object and labels\n> all blank nodes with blank node identifiers. This ensures a shape of the data\n> and consequently may drastically simplify the code required to process JSON-LD\n> in certain applications.\n\n--  \n\nDetails at  \n\nThis is the `flatten()` API function of the `JsonLdProcessor` interface as specified in","ref":"JSON.LD.html#flatten/3"},{"type":"function","title":"JSON.LD.from_rdf/2","doc":"Transforms the given `RDF.Dataset` into a JSON-LD document in expanded form.\n\nDetails at  \n\nThis is the `toRdf()` API function of the `JsonLdProcessor` interface as specified in","ref":"JSON.LD.html#from_rdf/2"},{"type":"type","title":"JSON.LD.input/0","doc":"","ref":"JSON.LD.html#t:input/0"},{"type":"function","title":"JSON.LD.keyword?/1","doc":"Returns if the given value is a JSON-LD keyword.","ref":"JSON.LD.html#keyword?/1"},{"type":"function","title":"JSON.LD.keywords/0","doc":"The set of all JSON-LD keywords.\n\nsee","ref":"JSON.LD.html#keywords/0"},{"type":"function","title":"JSON.LD.node_map/2","doc":"Generator function for JSON-LD node maps.","ref":"JSON.LD.html#node_map/2"},{"type":"function","title":"JSON.LD.options/0","doc":"","ref":"JSON.LD.html#options/0"},{"type":"function","title":"JSON.LD.read_file/2","doc":"Deserializes a graph or dataset from a file.\n\nIt returns an `{:ok, data}` tuple, with `data` being the deserialized graph or\ndataset, or `{:error, reason}` if an error occurs.","ref":"JSON.LD.html#read_file/2"},{"type":"function","title":"Options - JSON.LD.read_file/2","doc":"General serialization-independent options:\n\n- `:stream`: Allows to enable reading the data from a file directly via a\nstream (default: `false` on this function, `true` on the bang version)\n- `:gzip`: Allows to read directly from a gzipped file (default: `false`)\n- `:file_mode`: A list with the Elixir `File.open` modes to be used for reading\n  (default: `[:read, :utf8]`)\n\nSee the [module documentation of the decoder](`Elixir.JSON.LD.Decoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the decoder.","ref":"JSON.LD.html#read_file/2-options"},{"type":"function","title":"JSON.LD.read_file!/2","doc":"Deserializes a graph or dataset from a file.\n\nAs opposed to `read_file/2`, it raises an exception if an error occurs and\ndefaults to `stream: true`.\n\nSee `read_file/3` for the available format-independent options.\n\nSee the [module documentation of the decoder](`Elixir.JSON.LD.Decoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the decoder.","ref":"JSON.LD.html#read_file!/2"},{"type":"function","title":"JSON.LD.read_stream/2","doc":"Deserializes a graph or dataset from a stream.\n\nIt returns an `{:ok, data}` tuple, with `data` being the deserialized graph or\ndataset, or `{:error, reason}` if an error occurs.\n\nSee the [module documentation of the decoder](`Elixir.JSON.LD.Decoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the decoder.","ref":"JSON.LD.html#read_stream/2"},{"type":"function","title":"JSON.LD.read_stream!/2","doc":"Deserializes a graph or dataset from a stream.\n\nAs opposed to `read_stream/2`, it raises an exception if an error occurs.\n\nSee the [module documentation of the decoder](`Elixir.JSON.LD.Decoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the decoder.","ref":"JSON.LD.html#read_stream!/2"},{"type":"function","title":"JSON.LD.read_string/2","doc":"Deserializes a graph or dataset from a string.\n\nIt returns an `{:ok, data}` tuple, with `data` being the deserialized graph or\ndataset, or `{:error, reason}` if an error occurs.\n\nSee the [module documentation of the decoder](`Elixir.JSON.LD.Decoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the decoder.","ref":"JSON.LD.html#read_string/2"},{"type":"function","title":"JSON.LD.read_string!/2","doc":"Deserializes a graph or dataset from a string.\n\nAs opposed to `read_string/2`, it raises an exception if an error occurs.\n\nSee the [module documentation of the decoder](`Elixir.JSON.LD.Decoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the decoder.","ref":"JSON.LD.html#read_string!/2"},{"type":"function","title":"JSON.LD.to_rdf/2","doc":"Transforms the given JSON-LD document into an `RDF.Dataset`.\n\nDetails at  \n\nThis is the `fromRdf()` API function of the `JsonLdProcessor` interface as specified in","ref":"JSON.LD.html#to_rdf/2"},{"type":"function","title":"JSON.LD.write_file/3","doc":"Serializes an RDF data structure to a file.\n\nIt returns `:ok` if successful or `{:error, reason}` if an error occurs.","ref":"JSON.LD.html#write_file/3"},{"type":"function","title":"Options - JSON.LD.write_file/3","doc":"General serialization-independent options:\n\n- `:stream`: Allows to enable writing the serialized data to the file directly\n  via a stream. Possible values: `:string` or `:iodata` for writing to the file\n  with a stream of strings respective IO lists, `true` if you want to use streams,\n  but don't care for the exact method or `false` for not writing with\n  a stream (default: `false` on this function, `:iodata` on the bang version)\n- `:gzip`: Allows to write directly to a gzipped file (default: `false`)\n- `:force`: If not set to `true`, an error is raised when the given file\n  already exists (default: `false`)\n- `:file_mode`: A list with the Elixir `File.open` modes to be used for writing\n  (default: `[:write, :exclusive]`)\n\nSee the [module documentation of the encoder](`Elixir.JSON.LD.Encoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the encoder.","ref":"JSON.LD.html#write_file/3-options"},{"type":"function","title":"JSON.LD.write_file!/3","doc":"Serializes an RDF data structure to a file.\n\nAs opposed to `write_file/3`, it raises an exception if an error occurs.\n\nSee `write_file/3` for the available format-independent options.\n\nSee the [module documentation of the encoder](`Elixir.JSON.LD.Encoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the encoder.","ref":"JSON.LD.html#write_file!/3"},{"type":"function","title":"JSON.LD.write_string/2","doc":"Serializes an RDF data structure to a string.\n\nIt returns an `{:ok, string}` tuple, with `string` being the serialized graph or\ndataset, or `{:error, reason}` if an error occurs.\n\nSee the [module documentation of the encoder](`Elixir.JSON.LD.Encoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the encoder.","ref":"JSON.LD.html#write_string/2"},{"type":"function","title":"JSON.LD.write_string!/2","doc":"Serializes an RDF data structure to a string.\n\nAs opposed to `write_string/2`, it raises an exception if an error occurs.\n\nSee the [module documentation of the encoder](`Elixir.JSON.LD.Encoder`) for the\navailable format-specific options, all of which can be used in this\nfunction and will be passed them through to the encoder.","ref":"JSON.LD.html#write_string!/2"},{"type":"module","title":"JSON.LD.Compaction","doc":"Implementation of the JSON-LD 1.1 Compaction Algorithms.","ref":"JSON.LD.Compaction.html"},{"type":"function","title":"JSON.LD.Compaction.compact/6","doc":"","ref":"JSON.LD.Compaction.html#compact/6"},{"type":"function","title":"JSON.LD.Compaction.compact_iri/6","doc":"IRI Compaction\n\nSee","ref":"JSON.LD.Compaction.html#compact_iri/6"},{"type":"function","title":"JSON.LD.Compaction.compact_value/4","doc":"Value Compaction\n\nDetails at","ref":"JSON.LD.Compaction.html#compact_value/4"},{"type":"function","title":"JSON.LD.Compaction.select_term/5","doc":"Term Selection\n\nNote: Other than specified in W3C spec we assume here that the inverse context is already created,\nsince we don't want to return an updated context. Effectively an inverse context is never needed\nin the only place where this function is used.","ref":"JSON.LD.Compaction.html#select_term/5"},{"type":"module","title":"JSON.LD.Context","doc":"Implementation of the JSON-LD 1.1 _Context Processing Algorithm_.","ref":"JSON.LD.Context.html"},{"type":"function","title":"JSON.LD.Context.base/1","doc":"","ref":"JSON.LD.Context.html#base/1"},{"type":"function","title":"JSON.LD.Context.create/2","doc":"","ref":"JSON.LD.Context.html#create/2"},{"type":"function","title":"JSON.LD.Context.empty?/1","doc":"","ref":"JSON.LD.Context.html#empty?/1"},{"type":"function","title":"JSON.LD.Context.inverse/1","doc":"Inverse Context Creation algorithm\n\nSee","ref":"JSON.LD.Context.html#inverse/1"},{"type":"function","title":"JSON.LD.Context.language/2","doc":"","ref":"JSON.LD.Context.html#language/2"},{"type":"type","title":"JSON.LD.Context.local/0","doc":"","ref":"JSON.LD.Context.html#t:local/0"},{"type":"function","title":"JSON.LD.Context.new/1","doc":"","ref":"JSON.LD.Context.html#new/1"},{"type":"type","title":"JSON.LD.Context.remote/0","doc":"","ref":"JSON.LD.Context.html#t:remote/0"},{"type":"function","title":"JSON.LD.Context.set_inverse/1","doc":"","ref":"JSON.LD.Context.html#set_inverse/1"},{"type":"type","title":"JSON.LD.Context.t/0","doc":"","ref":"JSON.LD.Context.html#t:t/0"},{"type":"function","title":"JSON.LD.Context.update/3","doc":"","ref":"JSON.LD.Context.html#update/3"},{"type":"function","title":"JSON.LD.Context.update/4","doc":"","ref":"JSON.LD.Context.html#update/4"},{"type":"module","title":"JSON.LD.Context.TermDefinition","doc":"Implementation of the JSON-LD 1.1 _Create Term Definition Algorithm_.","ref":"JSON.LD.Context.TermDefinition.html"},{"type":"function","title":"JSON.LD.Context.TermDefinition.create/7","doc":"Expands the given input according to the steps in the JSON-LD _Create Term Definition_ algorithm.","ref":"JSON.LD.Context.TermDefinition.html#create/7"},{"type":"function","title":"JSON.LD.Context.TermDefinition.direction/2","doc":"","ref":"JSON.LD.Context.TermDefinition.html#direction/2"},{"type":"function","title":"JSON.LD.Context.TermDefinition.language/2","doc":"","ref":"JSON.LD.Context.TermDefinition.html#language/2"},{"type":"type","title":"JSON.LD.Context.TermDefinition.t/0","doc":"","ref":"JSON.LD.Context.TermDefinition.html#t:t/0"},{"type":"type","title":"JSON.LD.Context.TermDefinition.value/0","doc":"","ref":"JSON.LD.Context.TermDefinition.html#t:value/0"},{"type":"module","title":"JSON.LD.Decoder","doc":"A decoder for JSON-LD serializations to `RDF.Dataset`s.\n\nAs for all decoders of `RDF.Serialization.Format`s, you normally won't use these\nfunctions directly, but via one of the `read_` functions on the `JSON.LD` format\nmodule or the generic `RDF.Serialization` module.","ref":"JSON.LD.Decoder.html"},{"type":"function","title":"JSON.LD.Decoder.node_to_rdf/1","doc":"","ref":"JSON.LD.Decoder.html#node_to_rdf/1"},{"type":"function","title":"JSON.LD.Decoder.parse_json/2","doc":"","ref":"JSON.LD.Decoder.html#parse_json/2"},{"type":"function","title":"JSON.LD.Decoder.parse_json!/2","doc":"","ref":"JSON.LD.Decoder.html#parse_json!/2"},{"type":"function","title":"JSON.LD.Decoder.to_rdf/2","doc":"","ref":"JSON.LD.Decoder.html#to_rdf/2"},{"type":"behaviour","title":"JSON.LD.DocumentLoader","doc":"Behaviour for document loaders used to retrieve remote documents and contexts.\n\nas specified at","ref":"JSON.LD.DocumentLoader.html"},{"type":"function","title":"JSON.LD.DocumentLoader.load/2","doc":"","ref":"JSON.LD.DocumentLoader.html#load/2"},{"type":"callback","title":"JSON.LD.DocumentLoader.load/2","doc":"","ref":"JSON.LD.DocumentLoader.html#c:load/2"},{"type":"module","title":"JSON.LD.DocumentLoader.Default","doc":"Default implementation of the `JSON.LD.DocumentLoader` behaviour.\n\nThis module provides the standard document loader that follows the JSON-LD 1.1\nspecification for Remote Document and Context Retrieval. It delegates the actual\nloading logic to `JSON.LD.DocumentLoader.RemoteDocument`.\n\nSee: https://www.w3.org/TR/json-ld11-api/#remote-document-and-context-retrieval","ref":"JSON.LD.DocumentLoader.Default.html"},{"type":"function","title":"JSON.LD.DocumentLoader.Default.load/2","doc":"","ref":"JSON.LD.DocumentLoader.Default.html#load/2"},{"type":"module","title":"JSON.LD.DocumentLoader.DefaultClient","doc":"Default Tesla HTTP client.\n\nThis module provides a minimal HTTP client implementation.","ref":"JSON.LD.DocumentLoader.DefaultClient.html"},{"type":"module","title":"Configuration - JSON.LD.DocumentLoader.DefaultClient","doc":"The maximum number of redirects to follow can be configured in your config:\n\n    config :json_ld, :max_redirects, 10\n\nIf not configured, it defaults to 5.","ref":"JSON.LD.DocumentLoader.DefaultClient.html#module-configuration"},{"type":"function","title":"JSON.LD.DocumentLoader.DefaultClient.client/3","doc":"Creates a Tesla client with the given headers and redirect handling.","ref":"JSON.LD.DocumentLoader.DefaultClient.html#client/3"},{"type":"function","title":"JSON.LD.DocumentLoader.DefaultClient.default_max_redirects/0","doc":"Returns the configured maximum number of redirects to follow.","ref":"JSON.LD.DocumentLoader.DefaultClient.html#default_max_redirects/0"},{"type":"module","title":"JSON.LD.DocumentLoader.RemoteDocument","doc":"Implementation of the JSON-LD 1.1 Remote Document and Context Retrieval specification.\n\nThis module provides both:\n\n1. A struct representing remote documents as specified in https://www.w3.org/TR/json-ld11-api/#remotedocument\n2. The core implementation of remote document loading according to\n     so that\n   custom `JSON.LD.DocumentLoader` implementations can reuse this by calling `load/3` or\n   implementing their own loading logic.","ref":"JSON.LD.DocumentLoader.RemoteDocument.html"},{"type":"module","title":"Custom HTTP clients - JSON.LD.DocumentLoader.RemoteDocument","doc":"The default Tesla-based HTTP client is `JSON.LD.DocumentLoader.DefaultClient`.\n\nIf you need a custom HTTP client with custom middleware, you can create your own module\nthat implements a `client/3` function:\n\n    defmodule MyCustomClient do\n      use Tesla\n\n      def client(headers, url, options) do\n        [\n          {Tesla.Middleware.Headers, headers},\n          # your custom middleware\n        ]\n        |> Tesla.client()\n      end\n    end\n\nand configure it as:\n\n    config :json_ld, :http_client, MyCustomClient","ref":"JSON.LD.DocumentLoader.RemoteDocument.html#module-custom-http-clients"},{"type":"function","title":"JSON.LD.DocumentLoader.RemoteDocument.default_http_client/0","doc":"","ref":"JSON.LD.DocumentLoader.RemoteDocument.html#default_http_client/0"},{"type":"function","title":"JSON.LD.DocumentLoader.RemoteDocument.http_get/3","doc":"","ref":"JSON.LD.DocumentLoader.RemoteDocument.html#http_get/3"},{"type":"function","title":"JSON.LD.DocumentLoader.RemoteDocument.load/3","doc":"Loads a remote document from the given URL.\n\nAccording to","ref":"JSON.LD.DocumentLoader.RemoteDocument.html#load/3"},{"type":"function","title":"JSON.LD.DocumentLoader.RemoteDocument.load!/3","doc":"","ref":"JSON.LD.DocumentLoader.RemoteDocument.html#load!/3"},{"type":"type","title":"JSON.LD.DocumentLoader.RemoteDocument.t/0","doc":"","ref":"JSON.LD.DocumentLoader.RemoteDocument.html#t:t/0"},{"type":"module","title":"JSON.LD.Encoder","doc":"An encoder for JSON-LD serializations of RDF.ex data structures.\n\nAs for all encoders of `RDF.Serialization.Format`s, you normally won't use these\nfunctions directly, but via one of the `write_` functions on the `JSON.LD`\nformat module or the generic `RDF.Serialization` module.","ref":"JSON.LD.Encoder.html"},{"type":"module","title":"Options - JSON.LD.Encoder","doc":"- `:context`: When a context map or remote context URL string is given,\n  compaction is performed using this context\n- `:base`: : Allows to specify a base URI to be used during compaction\n  (only when `:context` is provided).\n  Default is the base IRI of the encoded graph or if none present or in case of\n  encoded datasets the `RDF.default_base_iri/0`.\n- `:use_native_types`: If this flag is set to `true`, RDF literals with a datatype IRI\n  that equals `xsd:integer` or `xsd:double` are converted to a JSON numbers and\n  RDF literals with a datatype IRI that equals `xsd:boolean` are converted to `true`\n  or `false` based on their lexical form. (default: `false`)\n- `:use_rdf_type`: Unless this flag is set to `true`, `rdf:type` predicates will be\n  serialized as `@type` as long as the associated object is either an IRI or blank\n  node identifier. (default: `false`)\n\nThe given options are also passed through to `Jason.encode/2`, so you can also\nprovide any the options this function supports, most notably the `:pretty` option.","ref":"JSON.LD.Encoder.html#module-options"},{"type":"function","title":"JSON.LD.Encoder.from_rdf/2","doc":"","ref":"JSON.LD.Encoder.html#from_rdf/2"},{"type":"function","title":"JSON.LD.Encoder.from_rdf!/2","doc":"","ref":"JSON.LD.Encoder.html#from_rdf!/2"},{"type":"type","title":"JSON.LD.Encoder.input/0","doc":"","ref":"JSON.LD.Encoder.html#t:input/0"},{"type":"module","title":"JSON.LD.Expansion","doc":"Implementation of the JSON-LD 1.1 Expansion Algorithms.","ref":"JSON.LD.Expansion.html"},{"type":"function","title":"JSON.LD.Expansion.expand/5","doc":"","ref":"JSON.LD.Expansion.html#expand/5"},{"type":"function","title":"JSON.LD.Expansion.expand_value/4","doc":"Details at","ref":"JSON.LD.Expansion.html#expand_value/4"},{"type":"module","title":"JSON.LD.Flattening","doc":"Implementation of the JSON-LD 1.1 Flattening Algorithms.","ref":"JSON.LD.Flattening.html"},{"type":"function","title":"JSON.LD.Flattening.flatten/2","doc":"","ref":"JSON.LD.Flattening.html#flatten/2"},{"type":"function","title":"JSON.LD.Flattening.generate_node_map/7","doc":"Node Map Generation","ref":"JSON.LD.Flattening.html#generate_node_map/7"},{"type":"function","title":"JSON.LD.Flattening.node_map/2","doc":"","ref":"JSON.LD.Flattening.html#node_map/2"},{"type":"module","title":"JSON.LD.IRIExpansion","doc":"Implementation of the JSON-LD 1.1 IRI Expansion algorithm.","ref":"JSON.LD.IRIExpansion.html"},{"type":"function","title":"JSON.LD.IRIExpansion.expand_iri/7","doc":"","ref":"JSON.LD.IRIExpansion.html#expand_iri/7"},{"type":"module","title":"JSON.LD.NodeIdentifierMap","doc":"","ref":"JSON.LD.NodeIdentifierMap.html"},{"type":"function","title":"JSON.LD.NodeIdentifierMap.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"JSON.LD.NodeIdentifierMap.html#child_spec/1"},{"type":"function","title":"JSON.LD.NodeIdentifierMap.generate_blank_node_id/2","doc":"Generate Blank Node Identifier\n\nDetails at","ref":"JSON.LD.NodeIdentifierMap.html#generate_blank_node_id/2"},{"type":"function","title":"JSON.LD.NodeIdentifierMap.init/1","doc":"","ref":"JSON.LD.NodeIdentifierMap.html#init/1"},{"type":"function","title":"JSON.LD.NodeIdentifierMap.start_link/1","doc":"","ref":"JSON.LD.NodeIdentifierMap.html#start_link/1"},{"type":"function","title":"JSON.LD.NodeIdentifierMap.stop/3","doc":"","ref":"JSON.LD.NodeIdentifierMap.html#stop/3"},{"type":"module","title":"JSON.LD.Options","doc":"Options accepted by the JSON-LD processing algorithms.\n\nas specified at","ref":"JSON.LD.Options.html"},{"type":"module","title":"Additional options - JSON.LD.Options","doc":"Besides the standard JSON-LD options described in the specification, this implementation\nprovides the following additional options:\n\n- `:lowercase_language` - When set to `true` (default), language tags are automatically\n  converted to lowercase during processing.\n- `:warn` - Configures how warnings are handled during processing. Possible values:\n  - `:default` - Uses the value from the application config (defaults to `:log`)\n  - `:ignore` - Silently ignores warnings\n  - `:raise` - Raises an exception on warnings\n  - `:log` - Logs warnings using Logger\n  - `true` - Same as `:default`\n  - `false` - Same as `:ignore`\n  - A function accepting a message string\n\n  The default warning behavior can be configured in your application config:\n\n      config :json_ld,\n        warn: :log  # or any other valid warning option, except :default","ref":"JSON.LD.Options.html#module-additional-options"},{"type":"module","title":"Limitations - JSON.LD.Options","doc":"The `:produce_generalized_rdf` option is currently not supported due to lack of Generalized RDF\nsupport in RDF.ex.","ref":"JSON.LD.Options.html#module-limitations"},{"type":"type","title":"JSON.LD.Options.convertible/0","doc":"","ref":"JSON.LD.Options.html#t:convertible/0"},{"type":"function","title":"JSON.LD.Options.extract/1","doc":"","ref":"JSON.LD.Options.html#extract/1"},{"type":"function","title":"JSON.LD.Options.new/0","doc":"","ref":"JSON.LD.Options.html#new/0"},{"type":"function","title":"JSON.LD.Options.new/1","doc":"","ref":"JSON.LD.Options.html#new/1"},{"type":"function","title":"JSON.LD.Options.set_base/2","doc":"","ref":"JSON.LD.Options.html#set_base/2"},{"type":"type","title":"JSON.LD.Options.t/0","doc":"","ref":"JSON.LD.Options.html#t:t/0"},{"type":"function","title":"JSON.LD.Options.warn_default/0","doc":"","ref":"JSON.LD.Options.html#warn_default/0"},{"type":"type","title":"JSON.LD.Options.warn_method/0","doc":"","ref":"JSON.LD.Options.html#t:warn_method/0"},{"type":"exception","title":"JSON.LD.Error","doc":"The base exception for all JSON-LD errors.\n\nSee","ref":"JSON.LD.Error.html"},{"type":"function","title":"JSON.LD.Error.colliding_keywords/1","doc":"Two properties which expand to the same keyword have been detected.\nThis might occur if a keyword and an alias thereof are used at the same time.","ref":"JSON.LD.Error.html#colliding_keywords/1"},{"type":"function","title":"JSON.LD.Error.conflicting_indexes/2","doc":"Multiple conflicting indexes have been found for the same node.","ref":"JSON.LD.Error.html#conflicting_indexes/2"},{"type":"function","title":"JSON.LD.Error.context_overflow/1","doc":"Maximum number of `@context` URLs exceeded.","ref":"JSON.LD.Error.html#context_overflow/1"},{"type":"function","title":"JSON.LD.Error.cyclic_iri_mapping/1","doc":"A cycle in IRI mappings has been detected.","ref":"JSON.LD.Error.html#cyclic_iri_mapping/1"},{"type":"function","title":"JSON.LD.Error.invalid_base_direction/1","doc":"The value of @direction is not \"ltr\", \"rtl\", or null and thus invalid.","ref":"JSON.LD.Error.html#invalid_base_direction/1"},{"type":"function","title":"JSON.LD.Error.invalid_base_iri/1","doc":"An invalid base IRI has been detected, i.e., it is neither an absolute IRI nor null.","ref":"JSON.LD.Error.html#invalid_base_iri/1"},{"type":"function","title":"JSON.LD.Error.invalid_base_iri/2","doc":"","ref":"JSON.LD.Error.html#invalid_base_iri/2"},{"type":"function","title":"JSON.LD.Error.invalid_container_mapping/1","doc":"An `@container` entry was encountered whose value was not one of the following strings: `@list`, `@set`, `@language`, `@index`, `@id`, `@graph`, or `@type`.","ref":"JSON.LD.Error.html#invalid_container_mapping/1"},{"type":"function","title":"JSON.LD.Error.invalid_context_entry/1","doc":"An entry in a context is invalid due to processing mode incompatibility.","ref":"JSON.LD.Error.html#invalid_context_entry/1"},{"type":"function","title":"JSON.LD.Error.invalid_context_nullification/0","doc":"An attempt was made to nullify a context containing protected term definitions.","ref":"JSON.LD.Error.html#invalid_context_nullification/0"},{"type":"function","title":"JSON.LD.Error.invalid_default_language/1","doc":"The value of the default language is not a string or null and thus invalid.","ref":"JSON.LD.Error.html#invalid_default_language/1"},{"type":"function","title":"JSON.LD.Error.invalid_id_value/1","doc":"An `@id` entry was encountered whose value was not a string.","ref":"JSON.LD.Error.html#invalid_id_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_import_value/1","doc":"An invalid value for `@import` has been found.","ref":"JSON.LD.Error.html#invalid_import_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_included_value/1","doc":"An included block contains an invalid value.","ref":"JSON.LD.Error.html#invalid_included_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_index_value/1","doc":"An `@index` member was encountered whose value was not a string.","ref":"JSON.LD.Error.html#invalid_index_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_iri_mapping/1","doc":"A local context contains a term that has an invalid or missing IRI mapping.","ref":"JSON.LD.Error.html#invalid_iri_mapping/1"},{"type":"function","title":"JSON.LD.Error.invalid_json_literal/1","doc":"An invalid JSON literal was detected.","ref":"JSON.LD.Error.html#invalid_json_literal/1"},{"type":"function","title":"JSON.LD.Error.invalid_keyword_alias/1","doc":"An invalid keyword alias definition has been encountered.","ref":"JSON.LD.Error.html#invalid_keyword_alias/1"},{"type":"function","title":"JSON.LD.Error.invalid_language_map_value/1","doc":"An invalid value in a language map has been detected. It MUST be a string or an array of strings.","ref":"JSON.LD.Error.html#invalid_language_map_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_language_mapping/1","doc":"An `@language` entry in a term definition was encountered whose value was neither a string nor null and thus invalid.","ref":"JSON.LD.Error.html#invalid_language_mapping/1"},{"type":"function","title":"JSON.LD.Error.invalid_language_tagged_string/1","doc":"A language-tagged string with an invalid language value was detected.","ref":"JSON.LD.Error.html#invalid_language_tagged_string/1"},{"type":"function","title":"JSON.LD.Error.invalid_language_tagged_value/1","doc":"A number, `true`, or `false` with an associated language tag was detected.","ref":"JSON.LD.Error.html#invalid_language_tagged_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_local_context/1","doc":"An invalid local context was detected.","ref":"JSON.LD.Error.html#invalid_local_context/1"},{"type":"function","title":"JSON.LD.Error.invalid_nest_value/1","doc":"An invalid value for `@nest` has been found.","ref":"JSON.LD.Error.html#invalid_nest_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_prefix_value/1","doc":"An invalid value for `@prefix` has been found.","ref":"JSON.LD.Error.html#invalid_prefix_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_propagate_value/1","doc":"An invalid value for `@propagate` has been found.","ref":"JSON.LD.Error.html#invalid_propagate_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_protected_value/1","doc":"An invalid value for `@protected` has been found.","ref":"JSON.LD.Error.html#invalid_protected_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_remote_context/1","doc":"No valid context document has been found for a referenced remote context.","ref":"JSON.LD.Error.html#invalid_remote_context/1"},{"type":"function","title":"JSON.LD.Error.invalid_reverse_property/1","doc":"An invalid reverse property definition has been detected.","ref":"JSON.LD.Error.html#invalid_reverse_property/1"},{"type":"function","title":"JSON.LD.Error.invalid_reverse_property_map/0","doc":"An invalid reverse property map has been detected. No keywords apart from `@context` are allowed in reverse property maps.","ref":"JSON.LD.Error.html#invalid_reverse_property_map/0"},{"type":"function","title":"JSON.LD.Error.invalid_reverse_property_value/1","doc":"An invalid value for a reverse property has been detected. The value of an inverse property must be a node object.","ref":"JSON.LD.Error.html#invalid_reverse_property_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_reverse_value/1","doc":"An invalid value for an `@reverse` entry has been detected, i.e., the value was not a map.","ref":"JSON.LD.Error.html#invalid_reverse_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_scoped_context/1","doc":"The local context defined within a term definition is invalid.","ref":"JSON.LD.Error.html#invalid_scoped_context/1"},{"type":"function","title":"JSON.LD.Error.invalid_script_element/1","doc":"A script element in HTML input which is the target of a fragment identifier does not have an appropriate type attribute.","ref":"JSON.LD.Error.html#invalid_script_element/1"},{"type":"function","title":"JSON.LD.Error.invalid_set_or_list_object/1","doc":"A set object or list object with disallowed members has been detected.","ref":"JSON.LD.Error.html#invalid_set_or_list_object/1"},{"type":"function","title":"JSON.LD.Error.invalid_term_definition/1","doc":"An invalid term definition has been detected.","ref":"JSON.LD.Error.html#invalid_term_definition/1"},{"type":"function","title":"JSON.LD.Error.invalid_type_mapping/1","doc":"An `@type` entry in a term definition was encountered whose value could not be expanded to an IRI.","ref":"JSON.LD.Error.html#invalid_type_mapping/1"},{"type":"function","title":"JSON.LD.Error.invalid_type_value/1","doc":"An invalid value for an `@type` entry has been detected, i.e., the value was neither a string nor an array of strings.","ref":"JSON.LD.Error.html#invalid_type_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_typed_value/2","doc":"A typed value with an invalid type was detected.","ref":"JSON.LD.Error.html#invalid_typed_value/2"},{"type":"function","title":"JSON.LD.Error.invalid_value_object/1","doc":"A value object with disallowed entries has been detected.","ref":"JSON.LD.Error.html#invalid_value_object/1"},{"type":"function","title":"JSON.LD.Error.invalid_value_object_value/1","doc":"An invalid value for the `@value` entry of a value object has been detected, i.e., it is neither a scalar nor `null`.","ref":"JSON.LD.Error.html#invalid_value_object_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_version_value/1","doc":"The `@version` entry was used in a context with an out of range value.","ref":"JSON.LD.Error.html#invalid_version_value/1"},{"type":"function","title":"JSON.LD.Error.invalid_vocab_mapping/1","doc":"An invalid vocabulary mapping has been detected, i.e., it is neither an IRI nor `null`.","ref":"JSON.LD.Error.html#invalid_vocab_mapping/1"},{"type":"function","title":"JSON.LD.Error.iri_confused_with_prefix/2","doc":"When compacting an IRI would result in an IRI which could be confused with a compact IRI (because its IRI scheme matches a term definition and it has no IRI authority).","ref":"JSON.LD.Error.html#iri_confused_with_prefix/2"},{"type":"function","title":"JSON.LD.Error.keyword_redefinition/1","doc":"A keyword redefinition has been detected.","ref":"JSON.LD.Error.html#keyword_redefinition/1"},{"type":"function","title":"JSON.LD.Error.loading_document_failed/1","doc":"The document could not be loaded or parsed as JSON.","ref":"JSON.LD.Error.html#loading_document_failed/1"},{"type":"function","title":"JSON.LD.Error.loading_remote_context_failed/2","doc":"There was a problem encountered loading a remote context.","ref":"JSON.LD.Error.html#loading_remote_context_failed/2"},{"type":"function","title":"JSON.LD.Error.multiple_context_link_headers/0","doc":"Multiple HTTP Link Headers using the http://www.w3.org/ns/json-ld#context link relation have been detected.","ref":"JSON.LD.Error.html#multiple_context_link_headers/0"},{"type":"function","title":"JSON.LD.Error.processing_mode_conflict/0","doc":"An attempt was made to change the processing mode which is incompatible with the previous specified version.","ref":"JSON.LD.Error.html#processing_mode_conflict/0"},{"type":"function","title":"JSON.LD.Error.protected_term_redefinition/1","doc":"An attempt was made to redefine a protected term.","ref":"JSON.LD.Error.html#protected_term_redefinition/1"},{"type":"extras","title":"About","doc":"# JSON-LD.ex\n\n[![Hex.pm](https://img.shields.io/hexpm/v/json_ld.svg?style=flat-square)](https://hex.pm/packages/json_ld)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/json_ld/)\n[![Coverage Status](https://coveralls.io/repos/github/rdf-elixir/jsonld-ex/badge.svg?branch=master)](https://coveralls.io/github/rdf-elixir/jsonld-ex?branch=master)\n[![Total Download](https://img.shields.io/hexpm/dt/json_ld.svg)](https://hex.pm/packages/json_ld)\n[![License](https://img.shields.io/hexpm/l/json_ld.svg)](https://github.com/rdf-elixir/jsonld-ex/blob/master/LICENSE.md)\n\n[![ExUnit Tests](https://github.com/rdf-elixir/jsonld-ex/actions/workflows/elixir-build-and-test.yml/badge.svg)](https://github.com/rdf-elixir/jsonld-ex/actions/workflows/elixir-build-and-test.yml)\n[![Dialyzer](https://github.com/rdf-elixir/jsonld-ex/actions/workflows/elixir-dialyzer.yml/badge.svg)](https://github.com/rdf-elixir/jsonld-ex/actions/workflows/elixir-dialyzer.yml)\n[![Quality Checks](https://github.com/rdf-elixir/jsonld-ex/actions/workflows/elixir-quality-checks.yml/badge.svg)](https://github.com/rdf-elixir/jsonld-ex/actions/workflows/elixir-quality-checks.yml)\n\n\nAn implementation of the [JSON-LD 1.1] standard for Elixir and [RDF.ex].\n\nThe API documentation can be found [here](https://hexdocs.pm/json_ld/). For a guide and more information about RDF.ex and it's related projects, go to  .","ref":"readme.html"},{"type":"extras","title":"Features - About","doc":"- fully conforming JSON-LD 1.1 API processor\n- JSON-LD reader/writer for [RDF.ex]\n- customizable HTTP client for remote document loading\n- tests of the [JSON-LD test suite] (see [here](https://github.com/rdf-elixir/jsonld-ex/tree/master/earl_reports) for the EARL reports)","ref":"readme.html#features"},{"type":"extras","title":"TODO - About","doc":"- [JSON-LD Framing]\n- [JSON-LD HTML Content Algorithms]","ref":"readme.html#todo"},{"type":"extras","title":"Usage - About","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Expand a document - About","doc":"```elixir\n\"\"\"\n{\n \"@context\":\n {\n    \"name\": \"http://xmlns.com/foaf/0.1/name\",\n    \"homepage\": {\n      \"@id\": \"http://xmlns.com/foaf/0.1/homepage\",\n      \"@type\": \"@id\"\n    }\n },\n \"name\": \"Manu Sporny\",\n \"homepage\": \"http://manu.sporny.org/\"\n}\n\"\"\"\n|> Jason.decode!\n|> JSON.LD.expand\n```\n\nproduces\n\n```elixir\n[%{\"http://xmlns.com/foaf/0.1/homepage\" => [%{\"@id\" => \"http://manu.sporny.org/\"}],\n   \"http://xmlns.com/foaf/0.1/name\" => [%{\"@value\" => \"Manu Sporny\"}]}]\n```","ref":"readme.html#expand-a-document"},{"type":"extras","title":"Compact a document - About","doc":"```elixir\ncontext = Jason.decode! \"\"\"\n  {\n    \"@context\": {\n      \"name\": \"http://xmlns.com/foaf/0.1/name\",\n      \"homepage\": {\n        \"@id\": \"http://xmlns.com/foaf/0.1/homepage\",\n        \"@type\": \"@id\"\n      }\n    }\n  }\n  \"\"\"\n\n\"\"\"\n[\n  {\n    \"http://xmlns.com/foaf/0.1/name\": [ \"Manu Sporny\" ],\n    \"http://xmlns.com/foaf/0.1/homepage\": [\n      {\n       \"@id\": \"http://manu.sporny.org/\"\n      }\n    ]\n  }\n]\n\"\"\"\n|> Jason.decode!\n|> JSON.LD.compact(context)\n```\n\nproduces \n\n```elixir\n%{\"@context\" => %{\n    \"homepage\" => %{\n        \"@id\" => \"http://xmlns.com/foaf/0.1/homepage\", \n        \"@type\" => \"@id\"},\n    \"name\" => \"http://xmlns.com/foaf/0.1/name\"\n    },\n  \"homepage\" => \"http://manu.sporny.org/\", \n  \"name\" => \"Manu Sporny\"}\n```","ref":"readme.html#compact-a-document"},{"type":"extras","title":"RDF Reader and Writer - About","doc":"JSON-LD.ex can be used to serialize or deserialize RDF graphs by using it as a RDF.ex reader and writer.\n\n```elixir\ndataset = JSON.LD.read_file!(\"file.jsonld\")\nJSON.LD.write_file!(dataset, \"file.jsonld\")\n```\n\nWhen a context is provided via the `:context` option (as a map, a `RDF.PropertyMap` or a string with a URL to a remote context), the document gets automatically compacted on serialization.\n\n```elixir\nJSON.LD.write_file!(dataset, \"file.jsonld\", context: %{ex: \"https://example.com/\"})\nJSON.LD.write_file!(dataset, \"file.jsonld\", context: \"https://schema.org/\")\n```","ref":"readme.html#rdf-reader-and-writer"},{"type":"extras","title":"Pretty printing - About","doc":"Pretty printing is possible on all writer functions with all the formatter options of [Jason](https://hexdocs.pm/jason/Jason.Formatter.html#pretty_print/2), the underlying JSON encoder, to which the given options are passed through.\n\n```elixir\nJSON.LD.write_file!(dataset, \"file.jsonld\", pretty: true)\nJSON.LD.write_string(dataset, \"file.jsonld\", pretty: [indent: \"\\t\"])\n```","ref":"readme.html#pretty-printing"},{"type":"extras","title":"Contributing - About","doc":"see [CONTRIBUTING](CONTRIBUTING.md) for details.","ref":"readme.html#contributing"},{"type":"extras","title":"Consulting - About","doc":"If you need help with your Elixir and Linked Data projects, just contact [NinjaConcept](https://www.ninjaconcept.com/) via  .","ref":"readme.html#consulting"},{"type":"extras","title":"License and Copyright - About","doc":"(c) 2017-present Marcel Otto. MIT Licensed, see [LICENSE](LICENSE.md) for details.\n\n\n[RDF.ex]:             https://hex.pm/packages/rdf\n[JSON-LD 1.1]:        https://www.w3.org/TR/json-ld11/ \"JSON-LD 1.1\"\n[JSON-LD API]:        https://www.w3.org/TR/json-ld11-api/ \"JSON-LD 1.1 Processing Algorithms and API\"\n[JSON-LD Framing]:    http://json-ld.org/spec/latest/json-ld-framing/\n[JSON-LD test suite]: http://json-ld.org/test-suite/\n[JSON-LD HTML Content Algorithms]:    https://www.w3.org/TR/json-ld11-api/#html-content-algorithms","ref":"readme.html#license-and-copyright"},{"type":"extras","title":"CHANGELOG","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\nThis project adheres to [Semantic Versioning](http://semver.org/) and\n[Keep a CHANGELOG](http://keepachangelog.com).","ref":"changelog.html"},{"type":"extras","title":"1.0.0 - 2025-04-09 - CHANGELOG","doc":"This version upgrades the implementation to support JSON-LD 1.1.\n\nThe functions on the top level `JSON.LD` module now behave fully-conformant with the API \nfunctions of the JsonLdProcessor interface as specified in the spec by supporting also\nreferences to remote documents and contexts to be used as input. \n\nNote: This also adapts the more strict remote document handling to reject results \nwith invalid content-types as specified with an error.  \n\nElixir versions < 1.15 and OTP version < 25 are no longer supported","ref":"changelog.html#1-0-0-2025-04-09"},{"type":"extras","title":"Added - CHANGELOG","doc":"- `JSON.LD.to_rdf/2` and `JSON.LD.from_rdf/2` delegator functions to complete the \n  JsonLdProcessor API interface\n- Support for custom Tesla-based HTTP clients","ref":"changelog.html#added"},{"type":"extras","title":"Changed - CHANGELOG","doc":"- Switched from HTTPoison to Tesla HTTP client, which means you should now configure \n  a respective adapter in your application config.\n- Extracted the default remote document loading into general `JSON.LD.DocumentLoader.RemoteDocument.load/3` \n  function for better reuse in a custom `JSON.LD.DocumentLoader` implementations\n- Unified error handling under a single `JSON.LD.Error` exception with dedicated error\n  creation functions for all error types from the JSON-LD spec, making it easier for users\n  to catch and handle errors and being more close to the spec\n\n[Compare v0.3.9...v1.0.0](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.9...v1.0.0)","ref":"changelog.html#changed"},{"type":"extras","title":"0.3.9 - 2024-08-07 - CHANGELOG","doc":"This version is just upgraded to RDF.ex 2.0.\n\nElixir versions < 1.13 and OTP version < 23 are no longer supported\n\n[Compare v0.3.8...v0.3.9](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.8...v0.3.9)","ref":"changelog.html#0-3-9-2024-08-07"},{"type":"extras","title":"0.3.8 - 2023-12-18 - CHANGELOG","doc":"","ref":"changelog.html#0-3-8-2023-12-18"},{"type":"extras","title":"Added - CHANGELOG","doc":"- Support for httpoison 2.0 ([@maennchen](https://github.com/maennchen))\n\n[Compare v0.3.7...v0.3.8](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.7...v0.3.8)","ref":"changelog.html#added"},{"type":"extras","title":"0.3.7 - 2023-01-23 - CHANGELOG","doc":"","ref":"changelog.html#0-3-7-2023-01-23"},{"type":"extras","title":"Added - CHANGELOG","doc":"- Support Link header when fetching remote contexts ([@cheerfulstoic](https://github.com/cheerfulstoic))\n\n[Compare v0.3.6...v0.3.7](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.6...v0.3.7)","ref":"changelog.html#added"},{"type":"extras","title":"0.3.6 - 2022-11-03 - CHANGELOG","doc":"This version is just upgraded to RDF.ex 1.0.\n\nElixir versions < 1.11 are no longer supported\n\n[Compare v0.3.5...v0.3.6](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.5...v0.3.6)","ref":"changelog.html#0-3-6-2022-11-03"},{"type":"extras","title":"0.3.5 - 2022-04-26 - CHANGELOG","doc":"","ref":"changelog.html#0-3-5-2022-04-26"},{"type":"extras","title":"Added - CHANGELOG","doc":"- the `JSON.LD.Encoder` now supports implicit compaction by providing a context\n  as a map, a `RDF.PropertyMap` or a URL string for a remote context with the \n  new `:context` option","ref":"changelog.html#added"},{"type":"extras","title":"Changed - CHANGELOG","doc":"- context maps can be given now with atom keys or as a `RDF.PropertyMap` to\n  `JSON.LD.context/2` and `JSON.LD.compact/3`\n- the base IRI of a `RDF.Graph` or the `RDF.default_base_iri/0` is used as the  \n  default `:base` in the `JSON.LD.Encoder`\n- `RDF.Vocabulary.Namespace` modules can be set as base IRI \n\n\n[Compare v0.3.4...v0.3.5](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.4...v0.3.5)","ref":"changelog.html#changed"},{"type":"extras","title":"0.3.4 - 2021-12-13 - CHANGELOG","doc":"Elixir versions < 1.10 are no longer supported","ref":"changelog.html#0-3-4-2021-12-13"},{"type":"extras","title":"Fixed - CHANGELOG","doc":"- remote contexts with a list couldn't be processed correctly (but failed with a `JSON.LD.InvalidLocalContextError`)\n\n[Compare v0.3.3...v0.3.4](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.3...v0.3.4)","ref":"changelog.html#fixed"},{"type":"extras","title":"0.3.3 - 2020-10-13 - CHANGELOG","doc":"This version mainly upgrades to RDF.ex 0.9.","ref":"changelog.html#0-3-3-2020-10-13"},{"type":"extras","title":"Added - CHANGELOG","doc":"- proper typespecs so that Dialyzer passes without warnings ([@rustra](https://github.com/rustra))\n\n[Compare v0.3.2...v0.3.3](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.2...v0.3.3)","ref":"changelog.html#added"},{"type":"extras","title":"0.3.2 - 2020-06-19 - CHANGELOG","doc":"","ref":"changelog.html#0-3-2-2020-06-19"},{"type":"extras","title":"Added - CHANGELOG","doc":"Support for remote contexts ([@KokaKiwi](https://github.com/KokaKiwi) and [@rustra](https://github.com/rustra))\n\n[Compare v0.3.1...v0.3.2](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.1...v0.3.2)","ref":"changelog.html#added"},{"type":"extras","title":"0.3.1 - 2020-06-01 - CHANGELOG","doc":"This version just upgrades to RDF.ex 0.8. With that Elixir version < 1.8 are no longer supported.\n\n[Compare v0.3.0...v0.3.1](https://github.com/rdf-elixir/jsonld-ex/compare/v0.3.0...v0.3.1)","ref":"changelog.html#0-3-1-2020-06-01"},{"type":"extras","title":"0.3.0 - 2018-09-17 - CHANGELOG","doc":"No significant changes. Just some adoptions to work with RDF.ex 0.5. \nBut together with RDF.ex 0.5, Elixir versions < 1.6 are no longer supported.\n\n[Compare v0.2.3...v0.3.0](https://github.com/rdf-elixir/jsonld-ex/compare/v0.2.3...v0.3.0)","ref":"changelog.html#0-3-0-2018-09-17"},{"type":"extras","title":"0.2.3 - 2018-07-11 - CHANGELOG","doc":"- Upgrade to Jason 1.1\n- Pass options to `JSON.LD.Encoder.encode/2` and `JSON.LD.Encoder.encode!/2` \n  through to Jason; this allows to use the new Jason pretty printing options  \n\n[Compare v0.2.2...v0.2.3](https://github.com/rdf-elixir/jsonld-ex/compare/v0.2.2...v0.2.3)","ref":"changelog.html#0-2-3-2018-07-11"},{"type":"extras","title":"0.2.2 - 2018-03-17 - CHANGELOG","doc":"","ref":"changelog.html#0-2-2-2018-03-17"},{"type":"extras","title":"Added - CHANGELOG","doc":"- JSON-LD encoder can handle `RDF.Graph`s and `RDF.Description`s","ref":"changelog.html#added"},{"type":"extras","title":"Changed - CHANGELOG","doc":"- Use Jason instead of Poison for JSON encoding and decoding, since it's faster and more standard conform\n\n\n[Compare v0.2.1...v0.2.2](https://github.com/rdf-elixir/jsonld-ex/compare/v0.2.1...v0.2.2)","ref":"changelog.html#changed"},{"type":"extras","title":"0.2.1 - 2018-03-10 - CHANGELOG","doc":"","ref":"changelog.html#0-2-1-2018-03-10"},{"type":"extras","title":"Changed - CHANGELOG","doc":"- Upgrade to RDF.ex 0.4.0\n- Fixed all warnings ([@talklittle](https://github.com/talklittle)) \n\n\n[Compare v0.2.0...v0.2.1](https://github.com/rdf-elixir/jsonld-ex/compare/v0.2.0...v0.2.1)","ref":"changelog.html#changed"},{"type":"extras","title":"0.2.0 - 2017-08-24 - CHANGELOG","doc":"","ref":"changelog.html#0-2-0-2017-08-24"},{"type":"extras","title":"Changed - CHANGELOG","doc":"- Upgrade to RDF.ex 0.3.0\n\n\n[Compare v0.1.1...v0.2.0](https://github.com/rdf-elixir/jsonld-ex/compare/v0.1.1...v0.2.0)","ref":"changelog.html#changed"},{"type":"extras","title":"0.1.1 - 2017-08-06 - CHANGELOG","doc":"","ref":"changelog.html#0-1-1-2017-08-06"},{"type":"extras","title":"Changed - CHANGELOG","doc":"- Don't support Elixir versions < 1.5, since `URI.merge` is broken in earlier versions  \n\n\n[Compare v0.1.0...v0.1.1](https://github.com/rdf-elixir/jsonld-ex/compare/v0.1.0...v0.1.1)","ref":"changelog.html#changed"},{"type":"extras","title":"0.1.0 - 2017-06-25 - CHANGELOG","doc":"Initial release","ref":"changelog.html#0-1-0-2017-06-25"},{"type":"extras","title":"CONTRIBUTING","doc":"0. Raise an issue to talk about your contribution upfront ( )\n1. Fork it ( )\n2. Create your feature branch (`git checkout -b my-new-feature`)\n3. Make your changes, with new passing tests. Follow this [style guide].\n4. Execute all tests (`mix test`)\n5. Apply the mix formatter (`mix format`)\n6. Commit your changes (`git commit -am 'Add some feature'`)\n7. Push to the branch (`git push origin my-new-feature`)\n8. Create a new Pull Request\n\n[style guide]:  https://github.com/christopheradams/elixir_style_guide","ref":"contributing.html"},{"type":"extras","title":"License","doc":"# MIT License\n\nCopyright (c) 2017-2020 Marcel Otto\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE\nLIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION\nWITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}